RedCrawler API
Subreddits V1

Subreddit Rules by Name V1

Get the rules of a community.

GET /api/v1/communities/{name}/rules

Get the rules of a community.

Path parameters

NameTypeRequiredDescription
namestringYesCommunity name, r/name, or URL.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/rules" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/test/rules", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/rules"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "rules": [
      {
        "kind": "all",
        "description": "No onlyfans promos, and nsfw posts",
        "short_name": "No onlyfans promos, and nsfw posts",
        "violation_reason": "No onlyfans promos, and nsfw posts",
        "created_utc": 1750258536,
        "priority": 0,
        "description_html": "<!-- SC_OFF --><div class=\"md\"><p>No onlyfans promos, and nsfw posts</p>\n</div><!-- SC_ON -->"
      }
    ]
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:55.976948+00:00"
}

On this page